function getDdnsInfos() {
  jQuery('#ddns_manager_waiting_content').attr("style", "display:block");
  jQuery('#ddns_manager_waiting_logo').attr("style", "display:block");
  jQuery.ajax({
    url: "/apps/ddns/include/service_ddns.php",
    type: "POST",
    async: true,
    data: {
      "action": "getddnsinfo"
    },
    timeout: 30000,
    dataType: "json",
    success: function(data) {

      if (data.ddns) {
        if (data.status == '0') {
          jQuery('#ddns_manager_enableserver').prop('checked', false);
          jQuery('#ddns_manager_ddnsserver').prop('disabled', true);
          jQuery('#ddns_manager_domainname').prop('disabled', true);
          jQuery('#ddns_manager_username').prop('disabled', true);
          jQuery('#ddns_manager_password').prop('disabled', true);
          jQuery('#ddns_manager_unas_ddnsserver').prop('disabled', true);
          jQuery('#ddns_manager_domainname_unas').prop('disabled', true);
        } else {
          jQuery('#ddns_manager_enableserver').prop('checked', true);
          jQuery('#ddns_manager_ddnsserver').prop('disabled', false);
          jQuery('#ddns_manager_domainname').prop('disabled', false);
          jQuery('#ddns_manager_username').prop('disabled', false);
          jQuery('#ddns_manager_password').prop('disabled', false);
          jQuery('#ddns_manager_unas_ddnsserver').prop('disabled', false);
          jQuery('#ddns_manager_domainname_unas').prop('disabled', false);
        }

        jQuery('#ddns_manager_ddnsserver').val(data.ddns);
        jQuery('#ddns_manager_domainname').val(data.domain);
        jQuery('#ddns_manager_username').val(data.user);
        jQuery('#ddns_manager_password').val(data.pwd);

        if (data.ddns == "U-DDNS") {
          jQuery('#ddns_manager_thirdddns_span').hide();
          jQuery('#ddns_manager_unasddns_span').show();
          jQuery('#ddns_manager_unasddns_regspan').show();
          jQuery('#ddns_manager_unasddns_forgetspan').show();
          jQuery('#ddns_manager_unas_ddnsserver').val(data.domain);
          jQuery('#ddns_manager_domainname_unas').val(data.subdomain);
        } else {
          jQuery('#ddns_manager_thirdddns_span').show();
          jQuery('#ddns_manager_unasddns_span').hide();
          jQuery('#ddns_manager_unasddns_regspan').hide();
          jQuery('#ddns_manager_unasddns_forgetspan').hide();
        }
      } else {
        jQuery('#ddns_manager_enableserver').prop('checked', false);
        jQuery('#ddns_manager_ddnsserver').prop('disabled', true);
        jQuery('#ddns_manager_domainname').prop('disabled', true);
        jQuery('#ddns_manager_username').prop('disabled', true);
        jQuery('#ddns_manager_password').prop('disabled', true);
      }



      jQuery('#ddns_manager_waiting_content').attr("style", "display:none");
      jQuery('#ddns_manager_waiting_logo').attr("style", "display:none");
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
      jQuery('#ddns_manager_waiting_content').attr("style", "display:none");
      jQuery('#ddns_manager_waiting_logo').attr("style", "display:none");
    }
  });
}

jQuery('#ddns_manager_enableserver').click(function() {
  if (jQuery('#ddns_manager_enableserver').prop('checked') == true) {
    jQuery('#ddns_manager_ddnsserver').prop('disabled', false);
    jQuery('#ddns_manager_domainname').prop('disabled', false);
    jQuery('#ddns_manager_username').prop('disabled', false);
    jQuery('#ddns_manager_password').prop('disabled', false);
    jQuery('#ddns_manager_unas_ddnsserver').prop('disabled', false);
    jQuery('#ddns_manager_domainname_unas').prop('disabled', false);
  } else {
    jQuery('#ddns_manager_ddnsserver').prop('disabled', true);
    jQuery('#ddns_manager_domainname').prop('disabled', true);
    jQuery('#ddns_manager_username').prop('disabled', true);
    jQuery('#ddns_manager_password').prop('disabled', true);
    jQuery('#ddns_manager_unas_ddnsserver').prop('disabled', true);
    jQuery('#ddns_manager_domainname_unas').prop('disabled', true);
  }
})

jQuery('#ddns_manager_ddnsserver').change(function() {
  if (jQuery(this).val() == "U-DDNS") {
    jQuery('#ddns_manager_thirdddns_span').hide();
    jQuery('#ddns_manager_unasddns_span').show();
    jQuery('#ddns_manager_unasddns_regspan').show();
    jQuery('#ddns_manager_unasddns_forgetspan').show();
  } else {
    jQuery('#ddns_manager_thirdddns_span').show();
    jQuery('#ddns_manager_unasddns_span').hide();
    jQuery('#ddns_manager_unasddns_regspan').hide();
    jQuery('#ddns_manager_unasddns_forgetspan').hide();
  }
});

function RegisterDDNSWindowFun() {
  var cwh = getClientWH();
  var RegisterDDNSW = new MUI.Modal({
    id: 'RegisterDDNSWindow',
    title: UNAS._('Register U-NAS DDNS'),
    modal: true,
    width: parseInt(cwh.w * 0.9),
    height: 400, //+50
    addClass: 'delete-modal',
    contentURL: '/apps/ddns/m/register_ddns.html',
  });

  RegisterDDNSW.ProcessRegisterDDNS = function() {}
}

function register_DDNS() {
  RegisterDDNSWindowFun();
}

function ForgetDDNSWindowFun() {
  var cwh = getClientWH();
  var ForgetDDNSW = new MUI.Modal({
    id: 'ForgetDDNSWindow',
    title: UNAS._('Forget password and domain name'),
    modal: true,
    width: parseInt(cwh.w * 0.9),
    height: 400, //+50
    addClass: 'delete-modal',
    contentURL: '/apps/ddns/m/forget_ddns.html',
  });

  ForgetDDNSW.ProcessForgetDDNS = function() {}
}

function forget_DDNSinfo() {
  ForgetDDNSWindowFun();
}

function submit_setddns() {
  var enable = jQuery('#ddns_manager_enableserver').prop('checked') ? "1" : "0";
  var server = jQuery.trim(jQuery('#ddns_manager_ddnsserver').val());
  var domain = "";
  var unas_domain = "";
  var sec_domain = "";
  if (jQuery('#ddns_manager_ddnsserver').val() == "U-DDNS") {
    unas_domain = jQuery('#ddns_manager_unas_ddnsserver').val()
    sec_domain = jQuery.trim(jQuery('#ddns_manager_domainname_unas').val());
    if (sec_domain != "") {
      var domain = sec_domain + '.' + unas_domain;
    } else {
      jQuery('#ddns_manager_domainname_unas').attr('class', 'unas_input_error');
      check = false;
    }
  } else {
    var domain = jQuery.trim(jQuery('#ddns_manager_domainname').val());
  }

  var user = jQuery.trim(jQuery('#ddns_manager_username').val());
  var password = jQuery.trim(jQuery('#ddns_manager_password').val());
  var check = true;
  if (domain == "") {
    jQuery('#ddns_manager_domainname').attr('class', 'unas_input_error');
    check = false;
  }
  if (user == "") {
    jQuery('#ddns_manager_username').attr('class', 'unas_input_error');
    check = false;
  }
  if (password == "") {
    jQuery('#ddns_manager_password').attr('class', 'unas_input_error');
    check = false;
  }
  if (!check) return false;

  jQuery('#ddns_manager_waiting_content').attr("style", "display:block");
  jQuery('#ddns_manager_waiting_logo').attr("style", "display:block");
  jQuery.ajax({
    url: "/apps/ddns/include/service_ddns.php",
    type: "POST",
    async: true,
    data: {
      "enable": enable,
      "server": server,
      "domain": domain,
      "unas_domain": unas_domain,
      "sec_domain": sec_domain,
      "user": user,
      "password": password,
      "action": "setddns"
    },
    timeout: 30000,
    success: function(data) {
      getDdnsInfos();
      try {
        if (typeof(eval(getDdnsInfos_cp)) == "function") {
          getDdnsInfos_cp();
        } else {}
      } catch (e) {};
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
    }
  });
  jQuery('#ddns_manager_waiting_content').attr("style", "display:none");
  jQuery('#ddns_manager_waiting_logo').attr("style", "display:none");
}

(function() {
  getDdnsInfos();
})();
